summaryrefslogtreecommitdiffstats
path: root/academic/smath-studio/smath-studio.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/smath-studio/smath-studio.SlackBuild')
-rw-r--r--academic/smath-studio/smath-studio.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/academic/smath-studio/smath-studio.SlackBuild b/academic/smath-studio/smath-studio.SlackBuild
new file mode 100644
index 0000000000..4019425919
--- /dev/null
+++ b/academic/smath-studio/smath-studio.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/bash
+#
+# Slackware build script for SMath Studio
+# Copyright (C) 2011 Fridrich von Stauffenberg <cancellor2@gmail.com>
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+PRGNAM=smath-studio
+VERSION=${VERSION:-0.89}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ORIG_FILENAME="20100723060056964.gz"
+ORIG_PRGNAM=SMathStudioDesktop
+ORIG_VERSION=${VERSION/./_}
+
+# SMath is written in C#, so it runs on any architecture supported by Mono
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $ORIG_PRGNAM.$ORIG_VERSION.Mono
+tar xvf $CWD/$ORIG_FILENAME
+cd $ORIG_PRGNAM.$ORIG_VERSION.Mono
+
+mkdir icons
+unzip $CWD/icons.zip -d icons
+
+chown -R root:root .
+
+mkdir -p $PKG/opt/$PRGNAM
+mv * $PKG/opt/$PRGNAM
+
+# Add a desktop menu entry
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Remove the wrapper script - we have a better one
+rm -f $PKG/opt/$PRGNAM/smathstudio_desktop_mono
+cat $CWD/$PRGNAM.sh > $PKG/opt/$PRGNAM/$PRGNAM
+chmod 755 $PKG/opt/$PRGNAM/$PRGNAM
+
+# Put a symlink into /usr/bin
+mkdir -p $PKG/usr/bin
+ln -s /opt/$PRGNAM/$PRGNAM $PKG/usr/bin
+
+# Put symlinks to icons in the standard places
+for SIZE in 16 24 32 48 64 96 128 256 ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/$SIZE'x'$SIZE/apps
+ ln -s /opt/$PRGNAM/icons/SSLogo$SIZE.png \
+ $PKG/usr/share/icons/hicolor/$SIZE'x'$SIZE/apps/$PRGNAM.png
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}